## r-cran-geoknife 1.6.6

=== DESCRIPTION ===
Package: geoknife
Type: Package
Title: Web-Processing of Large Gridded Datasets
Version: 1.6.6
Date: 2021-12-09
Authors@R: c( person("Jordan", "Read", role = c("aut"),
    email = "jread@usgs.gov"),
    person("Jordan", "Walker", role = c("aut"),
    email = "jiwalker@usgs.gov"),
    person("Alison", "Appling", role = c("aut"),
    email = "aappling@usgs.gov"),
    person("David", "Blodgett", role = c("aut", "cre"),
    email = "dblodgett@usgs.gov"),
    person("Emily", "Read", role = c("aut"),
    email = "eread@usgs.gov"),
    person("Luke", "Winslow", role = c("aut"),
    email = "lwinslow@usgs.gov"),
    person("Lindsay", "Carr", role = c("aut"),
    email = "lcarr@usgs.gov"),
    person("David", "Watkins", role = c("aut"),
    email = "wwatkins@usgs.gov"))
Description: Processes gridded datasets found on the U.S. Geological Survey
    Geo Data Portal web application or elsewhere, using a web-enabled workflow
    that eliminates the need to download and store large datasets that are reliably
    hosted on the Internet. The package provides access to several data subset and
    summarization algorithms that are available on remote web processing servers (Read et al. (2015) <doi:10.1111/ecog.01880>).
License: CC0
URL: https://github.com/USGS-R/geoknife
BugReports: https://github.com/USGS-R/geoknife/issues
Copyright: This software is in the public domain because it contains
        materials that originally came from the United States
        Geological Survey, an agency of the United States Department of
        Interior.
Depends: R (>= 3.5)
Imports: whisker, xml2, methods, httr (>= 1.0.0), curl, sp, utils,
        progress (>= 1.1.2)
Suggests: testthat, xtable, knitr, rmarkdown, ggmap, dplyr, rasterVis,
        ggplot2, rgdal, maps
VignetteBuilder: knitr
RoxygenNote: 7.1.2
NeedsCompilation: no
Packaged: 2021-12-10 01:14:29 UTC; dblodgett
Author: Jordan Read [aut],
  Jordan Walker [aut],
  Alison Appling [aut],
  David Blodgett [aut, cre],
  Emily Read [aut],
  Luke Winslow [aut],
  Lindsay Carr [aut],
  David Watkins [aut]
Maintainer: David Blodgett <dblodgett@usgs.gov>
Repository: CRAN
Date/Publication: 2021-12-10 09:10:02 UTC

=== debian/changelog ===
r-cran-geoknife (1.6.6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 20 Dec 2021 18:17:51 +0100

r-cran-geoknife (1.6.5-2) unstable; urgency=medium

  * Packaging update
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 12:27:41 +0200

r-cran-geoknife (1.6.5-1) unstable; urgency=medium

  * Initial release (closes: #993446)

 -- Andreas Tille <tille@debian.org>  Wed, 01 Sep 2021 16:43:26 +0200

=== debian/control ===
Source: r-cran-geoknife
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-whisker,
               r-cran-xml2,
               r-cran-httr,
               r-cran-curl,
               r-cran-sp,
               r-cran-progress
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geoknife
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geoknife.git
Homepage: https://cran.r-project.org/package=geoknife
Rules-Requires-Root: no

Package: r-cran-geoknife
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R web-processing of large gridded datasets
 Processes gridded datasets found on the U.S. Geological Survey Geo Data
 Portal web application or elsewhere, using a web-enabled workflow that
 eliminates the need to download and store large datasets that are
 reliably hosted on the Internet. The package provides access to several
 data subset and summarization algorithms that are available on remote
 web processing servers (Read et al. (2015) <doi:10.1111/ecog.01880>).

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/geoknife_([-\d.]*)\.tar\.gz

## r-cran-geoknife 1.6.8+dfsg

=== debian/changelog ===
r-cran-geoknife (1.6.8+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Sep 2022 13:47:05 +0200

r-cran-geoknife (1.6.7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS
  * Add existing Suggests as Test-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 25 Jul 2022 08:14:38 +0200

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
                r-cran-xml2,
                r-cran-httr,
                r-cran-curl,
-               r-cran-sp,
-               r-cran-progress
-Standards-Version: 4.6.0
+               r-cran-progress,
+               r-cran-sf
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geoknife
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geoknife.git
 Homepage: https://cran.r-project.org/package=geoknife

## r-cran-geoknife 1.6.10+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Package: geoknife
 Type: Package
 Title: Web-Processing of Large Gridded Datasets
-Version: 1.6.6
-Date: 2021-12-09
+Version: 1.6.10
 Authors@R: c( person("Jordan", "Read", role = c("aut"),
     email = "jread@usgs.gov"),
     person("Jordan", "Walker", role = c("aut"),
@@ -25,21 +24,22 @@
     hosted on the Internet. The package provides access to several data subset and
     summarization algorithms that are available on remote web processing servers (Read et al. (2015) <doi:10.1111/ecog.01880>).
 License: CC0
-URL: https://github.com/USGS-R/geoknife
-BugReports: https://github.com/USGS-R/geoknife/issues
+URL: https://github.com/DOI-USGS/geoknife
+BugReports: https://github.com/DOI-USGS/geoknife/issues
 Copyright: This software is in the public domain because it contains
         materials that originally came from the United States
         Geological Survey, an agency of the United States Department of
         Interior.
 Depends: R (>= 3.5)
-Imports: whisker, xml2, methods, httr (>= 1.0.0), curl, sp, utils,
-        progress (>= 1.1.2)
+Imports: whisker, xml2, methods, httr (>= 1.0.0), curl, utils, progress
+        (>= 1.1.2), sf
 Suggests: testthat, xtable, knitr, rmarkdown, ggmap, dplyr, rasterVis,
-        ggplot2, rgdal, maps
+        ggplot2, sp, raster
 VignetteBuilder: knitr
-RoxygenNote: 7.1.2
+Encoding: UTF-8
+RoxygenNote: 7.2.2
 NeedsCompilation: no
-Packaged: 2021-12-10 01:14:29 UTC; dblodgett
+Packaged: 2022-12-15 05:09:19 UTC; dblodgett
 Author: Jordan Read [aut],
   Jordan Walker [aut],
   Alison Appling [aut],
@@ -50,4 +50,4 @@
   David Watkins [aut]
 Maintainer: David Blodgett <dblodgett@usgs.gov>
 Repository: CRAN
-Date/Publication: 2021-12-10 09:10:02 UTC
+Date/Publication: 2022-12-15 08:40:02 UTC

=== debian/changelog ===
r-cran-geoknife (1.6.10+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 08:58:26 +0100

r-cran-geoknife (1.6.9+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 11 Nov 2022 08:22:57 +0100

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
         r-cran-xtable,
         r-cran-knitr,
         r-cran-rmarkdown,
#         r-cran-ggmap,
         r-cran-dplyr,
#         r-cran-rastervis,
         r-cran-ggplot2,
         r-cran-rgdal,
         r-cran-sp,
         r-cran-raster
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/geoknife_([-\d.]*)\.tar\.gz

## r-cran-geoknife 1.6.11+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: geoknife
 Type: Package
 Title: Web-Processing of Large Gridded Datasets
-Version: 1.6.10
+Version: 1.6.11
 Authors@R: c( person("Jordan", "Read", role = c("aut"),
     email = "jread@usgs.gov"),
     person("Jordan", "Walker", role = c("aut"),
@@ -37,9 +37,9 @@
         ggplot2, sp, raster
 VignetteBuilder: knitr
 Encoding: UTF-8
-RoxygenNote: 7.2.2
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2022-12-15 05:09:19 UTC; dblodgett
+Packaged: 2023-07-03 19:46:46 UTC; dblodgett
 Author: Jordan Read [aut],
   Jordan Walker [aut],
   Alison Appling [aut],
@@ -50,4 +50,4 @@
   David Watkins [aut]
 Maintainer: David Blodgett <dblodgett@usgs.gov>
 Repository: CRAN
-Date/Publication: 2022-12-15 08:40:02 UTC
+Date/Publication: 2023-07-06 08:00:12 UTC

=== debian/changelog ===
r-cran-geoknife (1.6.11+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 23 Jul 2023 12:45:37 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-curl,
                r-cran-progress,
                r-cran-sf
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-geoknife
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-geoknife.git
 Homepage: https://cran.r-project.org/package=geoknife

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-xtable,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-dplyr,
        r-cran-ggplot2,
        r-cran-sp,
        r-cran-raster
Restrictions: allow-stderr
